/**
 * SMCascader 基于antd Cascader 试用于标签多级选择的组件
 * 当前只测试了多选，单选还没测 —— 2023-08-06
 * @Author zhangzhe(zhangzhe@ishumei.com)
 */
import React from 'react';
import { Cascader } from 'antd';
interface Option {
    value: string | number;
    label: string;
    children?: Option[];
    [propName: string]: any;
}
interface OptionAlias {
    value?: string;
    label?: string;
    children: string;
}
export interface SMCascaderProps {
    fieldNames?: OptionAlias;
    options: Option[];
    multiple?: boolean;
    expandTrigger?: 'click' | 'hover';
    showCheckedStrategy?: typeof Cascader.SHOW_PARENT;
    antProps?: any;
    style?: React.CSSProperties;
    maxTagCount?: number;
    allowClear?: boolean;
    className?: string;
    defaultValue?: any[];
    value?: any[];
    disabled?: boolean;
    onChange?: (object: any) => {};
    onEnter?: () => {};
}
declare const SMCascader: React.FC<SMCascaderProps>;
export default SMCascader;
