/**
 * @Description     TableCore实现了图片的懒加载、点击放大等功能
 * @Author          caimingyu(caimingyu@ishumei.com)、junjie (yangjunjie@ishumei.com)
 * @Date            2021-08-28
 * @Path            sm-antd/src/components/TableCore
 * @Log             ts+hooks 重构
 */
import React from 'react';
import type { TableCorePorps } from './interface';
/**
 * @param {Array}    allCheckList        表格选中项
 * @param {String}   idName              唯一标识字段名
 * @param {Array}    dataSource          数据源
 * @param {Function} onSelectChange      表格项选中回调
 * @param {Number}   width               图片宽度
 * @param {Number}   height              图片高度
 * @param {Function} renderItem          图片底部 dom
 * @param {Number}   rowNum              每行显示的图片数量
 */
declare const TableCore: React.FC<TableCorePorps>;
export default TableCore;
