import React from 'react';
import type { TableColumnType } from 'antd';
import { ColumnsState, i18nProps } from '@/schemas/table';
import './index.less';
interface ColumnSettingProps {
    localColumns: TableColumnType<any>[];
    draggable?: boolean;
    checkable?: boolean;
    setChangeColumnsMap?: (map: Record<string, ColumnsState>, reset?: boolean) => void;
    columnsMap?: object;
    i18nText?: i18nProps;
    popoverStyle?: React.CSSProperties;
}
declare function ColumnSetting<T>(props: ColumnSettingProps): JSX.Element;
export default ColumnSetting;
