/**
 * @file sm-antd/src/components/SMUpload
 * @author zhangjuntao
 */
import React, { ReactNode } from 'react';
import { UploadProps, UploadFile } from 'antd/lib/upload/interface';
export declare type SMUploadProps = {
    children?: ReactNode;
    fileType?: string;
    fileList?: UploadFile[];
    maxCount?: number;
    buttonText?: string;
    buttonProps?: object;
    previewRender?: (url: string) => ReactNode;
} & UploadProps;
declare const SMUpload: React.FC<SMUploadProps>;
export default SMUpload;
