/**
 * @Description     DetailDrawer 是一个详情抽屉组件
 * @Author          junjie (yangjunjie@ishumei.com)
 * @Date            2021-09-01
 * @Log             用ts+hooks 重构
 */
import React from 'react';
export interface DataType {
    label: string | number;
    value: string | number;
}
export interface DataSourceType {
    data: DataType[];
    title: string;
}
export interface DetailDrawerProps {
    dataSource: DataSourceType[];
    visible?: boolean;
    width?: number;
    restProps?: any;
    onClose?: () => void;
    afterVisibleChange?: (visible: boolean) => void;
}
declare const DetailDrawer: React.FC<DetailDrawerProps>;
export default DetailDrawer;
