/**
 * @Description     SMAudio 是基于数美UI封装的音频组件
 * @Author          junjie (yangjunjie@ishumei.com)
 * @Date            2021-08-21
 * @Path            sm-antd/src/components/SMAudio
 * @Log             用ts 重构
 */
import React from 'react';
import { opTypeEnum } from './contants';
export interface SMAudioProps {
    audioUrl: string;
    audioId: string;
    audioType?: 'detail' | 'list';
    showSpeedFlag?: boolean;
    showDownloadFlag?: boolean;
    showSilenceFlag?: boolean;
    width?: number;
    showLoadFlag?: boolean;
    speedOptions?: number[];
    onPauseChange?: (PAUSE: opTypeEnum.PAUSE | opTypeEnum.PLAY) => void;
}
declare const SMAudio: React.FC<SMAudioProps>;
export default SMAudio;
