/**
 * @Description     基于antd中Select二次封装用于对多选中特殊的交换方式
 * @Author          tangjian(tangjian@ishumei.com)
 * @Date            2023-06-20
 * @Path            sm-antd/src/components/SMMultipleSelect
 */
import React from 'react';
import type { SelectProps } from 'antd';
export interface SMMultipleSelectProps extends SelectProps<any> {
    condiates?: any[];
    labelName?: string;
    valueName?: string;
    itemStyle?: object;
    onChange?: any;
    defaultValue?: string[];
    allObj?: object;
    placeholder?: string;
    disabled?: boolean;
    isAddAll?: boolean;
}
declare const SMMultipleSelect: React.FC<SMMultipleSelectProps>;
export default SMMultipleSelect;
