/// <reference types="react" />
/// <reference types="react-i18next" />
export declare type ColumnsState = {
    show?: boolean;
    fixed?: 'right' | 'left' | undefined;
    order?: number;
};
declare function useContainer(): {
    sortKeyColumns: import("react").MutableRefObject<string[]>;
    setSortKeyColumns: (keys: string[]) => void;
};
declare const Container: import("unstated-next").Container<{
    sortKeyColumns: import("react").MutableRefObject<string[]>;
    setSortKeyColumns: (keys: string[]) => void;
}, void>;
export declare type ContainerType = typeof useContainer;
export { useContainer };
export default Container;
