/**
 * @Description     AlertModal 是确认弹窗
 * @Author          junjie (yangjunjie@ishumei.com)
 * @Date            2021-09-01
 * @Log             用ts+hooks 重构
 */
import React from 'react';
export interface AlertModalProps {
    confirmText?: string;
    onlyConfirm?: boolean;
    width?: number;
    modalTitle?: string;
    cancelHandle?: () => void;
    renderChildren?: () => React.ReactNode;
    confirmHandle?: () => any;
}
declare const AlertModal: React.FC<AlertModalProps>;
export default AlertModal;
