/**
 * @Description     BaseDrawer 是一个抽屉容器
 * @Author          junjie (yangjunjie@ishumei.com)
 * @Date            2021-09-01
 * @Log             用ts+hooks 重构
 */
import React from 'react';
import { DataSourceType } from '../DetailDrawer';
export interface BaseDrawerProps {
    children?: React.ReactNode;
    showDetail?: DataSourceType[];
    width?: number;
    cancelCallback?: () => void;
}
export interface BaseDrawerRef {
    close: () => void;
}
declare const BaseDrawer: React.ForwardRefExoticComponent<BaseDrawerProps & React.RefAttributes<BaseDrawerRef>>;
export default BaseDrawer;
