/**
 * @Description     BaseModal 弹窗容器
 * @Author          junjie (yangjunjie@ishumei.com)
 * @Date            2021-09-01
 * @Log             用ts+hooks 重构
 */
import React from 'react';
import { ModalProps } from 'antd';
export interface BaseModalProps extends ModalProps {
    children?: React.ReactNode;
    cancelCallback?: () => void;
}
export interface BaseModalRef {
    close: () => void;
}
declare const BaseModal: React.ForwardRefExoticComponent<BaseModalProps & React.RefAttributes<BaseModalRef>>;
export default BaseModal;
