/// <reference types="react" />
/// <reference types="react-i18next" />
import { AlertModalProps } from './AlertModal';
import { HocModalProps } from './HocModal';
import { BaseModalProps, BaseModalRef } from './BaseModal';
import { BaseDrawerProps, BaseDrawerRef } from './BaseDrawer';
import { DetailDrawerProps } from './DetailDrawer';
import { ModalRootProps, ModalRootRef } from './ModalRoot';
import { ModalType } from './contants/modalCommon';
export type { AlertModalProps, BaseModalProps, BaseModalRef, ModalRootProps, ModalRootRef, HocModalProps, BaseDrawerProps, BaseDrawerRef, DetailDrawerProps };
declare const _default: {
    AlertModal: import("react").FC<AlertModalProps>;
    HocModal: import("react").FC<HocModalProps>;
    BaseDrawer: import("react").ForwardRefExoticComponent<BaseDrawerProps & import("react").RefAttributes<BaseDrawerRef>>;
    ModalType: typeof ModalType;
    BaseModal: import("react").ForwardRefExoticComponent<BaseModalProps & import("react").RefAttributes<BaseModalRef>>;
    DetailDrawer: import("react").FC<DetailDrawerProps>;
    ModalRoot: import("react").ForwardRefExoticComponent<ModalRootProps & import("react").RefAttributes<ModalRootRef>>;
};
export default _default;
